Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.archive.crawler.filter
Class OrFilter

    java.lang.Object
      javax.management.Attribute
          org.archive.crawler.settings.Type
              org.archive.crawler.settings.ComplexType
                  org.archive.crawler.settings.ModuleType
                      org.archive.crawler.framework.Filter
                          org.archive.crawler.filter.OrFilter

All Implemented Interfaces:
  java.io.Serializable, javax.management.DynamicMBean

Deprecated. As of release 1.10.0. Replaced by `DecidingFilter` and `DecideRule`.

    public class OrFilter

extends Filter

OrFilter allows any number of other filters to be set up inside it, as child elements. If any of those children accept a presented object, the OrFilter will also accept it.

Author:
  gojomo
See Also:
  Serialized Form

Nested Class Summary

Nested classes/interfaces inherited from class org.archive.crawler.settings.ComplexType
`ComplexType.MBeanAttributeInfoIterator`

Field Summary
`static java.lang.String` | `ATTR_FILTERS` Deprecated.
`static java.lang.String` | `ATTR_MATCH_RETURN_VALUE` Deprecated.

Fields inherited from class org.archive.crawler.framework.Filter
`ATTR_ENABLED`

Fields inherited from class org.archive.crawler.settings.ComplexType
`definition, definitionMap`

Constructor Summary
`OrFilter(java.lang.String name)` Deprecated.
`OrFilter(java.lang.String name, java.lang.String description)` Deprecated.

Method Summary
`void` | `addFilter(CrawlerSettings settings, Filter f)` Deprecated.
`protected boolean` | `innerAccepts(java.lang.Object o)` Deprecated. Classes subclassing this one should override this method to perfrom their custom determination of whether or not the object given to it.
`boolean` | `isEmpty(java.lang.Object o)` Deprecated.
`java.util.Iterator` | `iterator(java.lang.Object o)` Deprecated. Get an Iterator over all the attributes in this ComplexType.
`void` | `kickUpdate()` Deprecated. Note that configuration updates may be necessary.
`protected boolean` | `returnTrueIfMatches(CrawlURI curi)` Deprecated. Checks to see if filter functionality should be inverted for this curi.

Methods inherited from class org.archive.crawler.framework.Filter
`accepts, getFilterOffPosition, toString`

Methods inherited from class org.archive.crawler.settings.ModuleType
`addElement, listUsedFiles`

Methods inherited from class org.archive.crawler.settings.ComplexType
`addElementToDefinition, checkValue, earlyInitialize, getAbsoluteName, getAttribute, getAttribute, getAttribute, getAttributeInfo, getAttributeInfo, getAttributeInfoIterator, getAttributes, getDataContainerRecursive, getDataContainerRecursive, getDefaultValue, getDescription, getElementFromDefinition, getLegalValues, getLocalAttribute, getMBeanInfo, getMBeanInfo, getParent, getPreservedFields, getSettingsHandler, getUncheckedAttribute, getValue, globalSettings, invoke, isInitialized, isOverridden, removeElementFromDefinition, setAsOrder, setAttribute, setAttribute, setAttributes, setDescription, setPreservedFields, unsetAttribute`

Methods inherited from class org.archive.crawler.settings.Type
`addConstraint, equals, getConstraints, getLegalValueType, isExpertSetting, isOverrideable, isTransient, setExpertSetting, setLegalValueType, setOverrideable, setTransient`

Methods inherited from class javax.management.Attribute
`getName`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### ATTR_MATCH_RETURN_VALUE

    public static final java.lang.String ATTR_MATCH_RETURN_VALUE

  Deprecated.
  See Also:
    Constant Field Values

### ATTR_FILTERS

    public static final java.lang.String ATTR_FILTERS

  Deprecated.
  See Also:
    Constant Field Values

Constructor Detail

### OrFilter

    public OrFilter(java.lang.String name,
                    java.lang.String description)

  Deprecated.

### OrFilter

    public OrFilter(java.lang.String name)

  Deprecated.
  Parameters:
    `name` -

Method Detail

### innerAccepts

    protected boolean innerAccepts(java.lang.Object o)

  Deprecated.
  Description copied from class: `Filter`
  Classes subclassing this one should override this method to perfrom their custom determination of whether or not the object given to it.

  Overrides:
    `innerAccepts` in class `Filter`
  Parameters:
    `o` - The object
  Returns:
    True if it passes the filter.

### addFilter

    public void addFilter(CrawlerSettings settings,
                          Filter f)

  Deprecated.

### isEmpty

    public boolean isEmpty(java.lang.Object o)

  Deprecated.

### iterator

    public java.util.Iterator iterator(java.lang.Object o)

  Deprecated.
  Description copied from class: `ComplexType`
  Get an Iterator over all the attributes in this ComplexType.

  Overrides:
    `iterator` in class `ComplexType`
  Parameters:
    `o` - the context for which this set of attributes are valid.
  Returns:
    an iterator over all the attributes in this map.

### returnTrueIfMatches

    protected boolean returnTrueIfMatches(CrawlURI curi)

  Deprecated.
  Description copied from class: `Filter`
  Checks to see if filter functionality should be inverted for this curi.

  All filters will by default return true if curi is accepted by the filter. If this method returns false, then the filter will return true if doesn't match.

  Classes extending this class should override this method with appropriate code.

  Overrides:
    `returnTrueIfMatches` in class `Filter`
  Parameters:
    `curi` - Current CrawlURI
  Returns:
    true for default behaviour, false otherwise.

### kickUpdate

    public void kickUpdate()

  Deprecated.
  Note that configuration updates may be necessary. Pass to constituent filters.

  Overrides:
    `kickUpdate` in class `Filter`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2008 Internet Archive. All Rights Reserved.